--- a/src/services/ServiceSqlQueryMaker.cpp
+++ b/src/services/ServiceSqlQueryMaker.cpp
@@ -130,6 +130,7 @@ ServiceSqlQueryMaker::ServiceSqlQueryMak
     d->withoutDuplicates = false;
     d->maxResultSize = -1;
     d->andStack.push( true );
+    d->albumMode = AllAlbums;
 }
 
 ServiceSqlQueryMaker::~ServiceSqlQueryMaker()
